Bug 886844 - fRaBs License Problem (non-commercial use)
fRaBs License Problem (non-commercial use)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: fRaBs (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2012-12-13 05:40 EST by mejiko
Modified: 2012-12-17 11:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-17 11:33:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 648272 None None None Never
GNU Savannah 33450 None None None Never

  None (edit)
Description mejiko 2012-12-13 05:40:36 EST
Hello.

fRaBs package included non free addons. 

Addon: Claudio Addon (See /usr/share/fRaBs/addon/claudio/claudio.lsp)

This addon license is "non-commercial use only". Its non-free.
Note: This is content, not code.


Suggests:

1. Remove Claudio Addon and repack.
2. Remove Fedora repos.

Thanks.




Reference:

http://abuse.zoy.org/browser/abuse-frabs/trunk/addon/claudio/claudio.lsp?rev=44

http://libreplanet.org/wiki/List_of_software_that_does_not_respect_the_Free_System_Distribution_Guidelines#Free_Abuse_Extensions

https://fedoraproject.org/wiki/Packaging:Guidelines#Code_Vs_Content

https://fedoraproject.org/wiki/Licensing:Main#Content_Licenses
Comment 1 mejiko 2012-12-14 05:35:35 EST
Blocked FE-Legal, This is license problem.
Comment 2 Hans de Goede 2012-12-17 11:33:03 EST
Thanks for reporting this!

It turns out the removing the claudio addon completely breaks abuse as many other parts have started depending on it over time, see:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=648272

Therefor the best way forward is retiring fRaBs + abuse and removing it from any future Fedora releases.

I've run through the entire retire procedure as described here:
https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

The ticket for blocking it from inclusion in future releases is here:
https://fedorahosted.org/rel-eng/ticket/5422

Closing.
Comment 3 Matthew Miller 2012-12-17 11:35:56 EST
In addition to "non-commercial", the license appears to say that non-commercial use and modification is okay, but any distribution requires permission.

Note You need to log in before you can comment on or make changes to this bug.